# Struct StatsCounters | EchoHub Documentation
Immutable snapshot of the counters held by .

# Struct StatsCounters

Namespace
  EchoHub.Server.Services.Stats

Assembly
  EchoHub.Server.dll

Immutable snapshot of the counters held by ServerStatsCollector.

    public readonly struct StatsCounters : IEquatable<StatsCounters>

Implements
  IEquatable<StatsCounters>

Inherited Members
  object.GetType()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### StatsCounters(long, long, long, long, int)

Immutable snapshot of the counters held by ServerStatsCollector.

    public StatsCounters(long Connections, long Disconnections, long Kicks, long Bans, int PeakOnline)

#### Parameters

`Connections` long
`Disconnections` long
`Kicks` long
`Bans` long
`PeakOnline` int

## Properties

### Bans

    public long Bans { get; init; }

#### Property Value

long

### Connections

    public long Connections { get; init; }

#### Property Value

long

### Disconnections

    public long Disconnections { get; init; }

#### Property Value

long

### Kicks

    public long Kicks { get; init; }

#### Property Value

long

### PeakOnline

    public int PeakOnline { get; init; }

#### Property Value

int

## Methods

### Deconstruct(out long, out long, out long, out long, out int)

    public void Deconstruct(out long Connections, out long Disconnections, out long Kicks, out long Bans, out int PeakOnline)

#### Parameters

`Connections` long
`Disconnections` long
`Kicks` long
`Bans` long
`PeakOnline` int

### Equals(StatsCounters)

    public bool Equals(StatsCounters other)

#### Parameters

`other` StatsCounters

#### Returns

bool

### Equals(object)

    public override bool Equals(object obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(StatsCounters, StatsCounters)

    public static bool operator ==(StatsCounters left, StatsCounters right)

#### Parameters

`left` StatsCounters
`right` StatsCounters

#### Returns

bool

### operator !=(StatsCounters, StatsCounters)

    public static bool operator !=(StatsCounters left, StatsCounters right)

#### Parameters

`left` StatsCounters
`right` StatsCounters

#### Returns

bool